<?
GUIFactory::setMainGUI( "main" );
$main = &GUIFactory::getGUI("main");
$main->setCSSEnabled( FALSE );

if ($id) $OBJTAG_ID = $id;
if (!$OBJTAG_ID) halt(7,"no objtag_id for viewing: OBJTAG_ID($OBJTAG_ID)");
mysession_var_reg("OBJTAG_ID");

load_menu();

$sql = "SELECT name FROM objtag WHERE id = ".sqlf_tl_num($OBJTAG_ID);
$rs = query($sql);
if ($FEATURE["inheritable_objtags"]) {
 $_pos = strpos($rs["arr"][0]["name"],".");
 if (!$_pos) halt(7,"invalid objtagname(".$rs["arr"][0]["name"].") and pos($_pos)");
 $rs["arr"][0]["name"] = substr($rs["arr"][0]["name"],$_pos+1);
}
$source = "<$TAG_PREFIX ".$rs["arr"][0]["name"].">";
$obj["id"] = $OBJPROP_ID;
$obj["type"] = $OBJPROP;

if ($OBJPROP == $T_PAGE) {
 $objprop_id = $PAGE_ID;
 $bit = 13;
} else if ($OBJPROP == $T_TEMPLATE) {
 $objprop_id = $TEMPLATE_ID;
 $bit = 17;
} else if ($OBJPROP == $T_FOLDER) {
 $objprop_id = $FOLDER_ID;
 $bit = 9;
} else if ($OBJPROP == $T_IMAGE || $OBJPROP == $T_FILE) {
 $bit = 9;
} else halt(7,"objprop_edit: invalid OBJPROP($OBJPROP)");

if ($OBJPROP == $T_PAGE ) {
 touch_objprop ( $OBJPROP, $OBJPROP_ID, $PAGE_ID);
} else {
 touch_objprop ( $OBJPROP, $OBJPROP_ID);
}
$editable = perm($USER_ID,$T_FOLDER,$FOLDER_ID,$bit);


if ($FEATURE["xnl"]) {

 if ($OBJPROP == $T_FOLDER) {
 node_class("cnfolderobject");
 $baseObj = new CNFolderObject($FOLDER_ID);
 } else if ($OBJPROP == $T_TEMPLATE) {
 node_class("cntemplateobject");
 $baseObj = new CNTemplateObject($TEMPLATE_ID);
 } else if ($OBJPROP == $T_PAGE) {
 node_class("cnpageobject");
 $baseObj = new CNPageObject($PAGE_ID);
 } else if ($OBJPROP == $T_FILE) {
 node_class("cnfileobject");
 $baseObj = new CNFileObject($FILE_ID);
 } else if ($OBJPROP == $T_IMAGE){
 node_class("cnimageobject");
 $baseObj = new CNImageObject($FILE_ID);
 }

 $xnlParser = &ParserFactory::getInstanceOf("xnl");
 $xnlParser->setShowErrors(true);
 $xnlParser->setEvaluate(false);
 $xnlParser->setBaseObject($baseObj);
 $xnlParser->setHandleDependencies(false);
 $xnlParser->clearEventMap();
}


$DO_TAGFILL_BACK = $DO;
$tags = obj_translate($obj,"obj","","",0,$editable);
$source = code_translate($source,$tags,"obj",$editable,Array(),$OBJPROP,$objprop_id);


if ($FEATURE["xnl"]) {
 $source = $xnlParser->parse($source);
}

triggerEvent(T_OBJTAG, $OBJTAG_ID, EVENT_CN_CONTENT, new EventObject() );

?>
